Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config
Class MyfacesConfig

    java.lang.Object
      org.apache.myfaces.config.MyfacesConfig

public class MyfacesConfig
extends java.lang.Object

Holds all configuration init parameters (from web.xml) that are independent from the core implementation. The parameters in this class are available to all shared, component and implementation classes. See RuntimeConfig for configuration infos that come from the faces-config files and are needed by the core implementation.

Constructor Summary
`MyfacesConfig()`

Method Summary
`static MyfacesConfig` | `getCurrentInstance(javax.faces.context.ExternalContext extCtx)`
`boolean` | `isAllowJavascript()` Do not use this in renderers directly!
`boolean` | `isAutoScroll()`
`boolean` | `isDetectJavascript()`
`boolean` | `isPrettyHtml()`
`void` | `setAllowJavascript(boolean allowJavascript)`
`void` | `setAutoScroll(boolean autoScroll)`
`void` | `setDetectJavascript(boolean detectJavascript)`
`void` | `setPrettyHtml(boolean prettyHtml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyfacesConfig

    public MyfacesConfig()

Method Detail

### getCurrentInstance

    public static MyfacesConfig getCurrentInstance(javax.faces.context.ExternalContext extCtx)

### isPrettyHtml

    public boolean isPrettyHtml()

### setPrettyHtml

    public void setPrettyHtml(boolean prettyHtml)

### isDetectJavascript

    public boolean isDetectJavascript()

### setDetectJavascript

    public void setDetectJavascript(boolean detectJavascript)

### isAllowJavascript

    public boolean isAllowJavascript()

  Do not use this in renderers directly! You should use `JavascriptUtils.isJavascriptAllowed(javax.faces.context.ExternalContext)` to determine if javascript is allowed or not.

### setAllowJavascript

    public void setAllowJavascript(boolean allowJavascript)

### isAutoScroll

    public boolean isAutoScroll()

### setAutoScroll

    public void setAutoScroll(boolean autoScroll)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD